!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine CloseDataFile
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!$B=PNO%U%!%$%k$N%/%m!<%:(B. 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end

subroutine CloseDataFile
                                                                 !=begin
  !== Dependency
  use gt4_history
  use dc_trace, only: BeginSub, EndSub
                                                                 !=end  
  !== $B0EL[$N7?@k8@6X;_(B
  implicit none

  call BeginSub("CloseDataFile", &
       &         fmt="%c",            &
       &         c1="Close output file.")

  !=== $B%U%!%$%k$rJD$8$k(B
  call HistoryClose
  
  call EndSub("CloseDataFile")
  
end subroutine CloseDataFile
